components:
  schemas:
    JobService_v1_1_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#JobService.CancelAllJobs':
          $ref: '#/components/schemas/JobService_v1_1_0_CancelAllJobs'
        Oem:
          $ref: '#/components/schemas/JobService_v1_1_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    JobService_v1_1_0_CancelAllJobs:
      additionalProperties: false
      description: Cancels all jobs.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall cancel all jobs.  The service shall transition
        all jobs to the `Cancelled` state.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
      x-versionAdded: v1_1_0
    JobService_v1_1_0_CancelAllJobsRequestBody:
      additionalProperties: false
      description: Cancels all jobs.
      properties: {}
      type: object
      x-longDescription: This action shall cancel all jobs.  The service shall transition
        all jobs to the `Cancelled` state.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    JobService_v1_1_0_JobService:
      additionalProperties: false
      description: The `JobService` schema contains properties for scheduling and
        execution of operations, represents the properties for the job service itself,
        and has links to jobs managed by the job service.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/JobService_v1_1_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        DateTime:
          description: The current date and time setting for the job service.
          format: date-time
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the current date and time
            setting for the job service.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        JobDocuments:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The links to the job document collection.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `JobDocumentCollection`.  This property shall only be present
            if the service supports document-based jobs.
          x-versionAdded: v1_1_0
        JobExecutors:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The links to the job executor collection.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `JobExecutorCollection`.  This property shall only be present
            if the service supports document-based jobs.
          x-versionAdded: v1_1_0
        Jobs:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The links to the jobs collection.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `JobCollection`.
        Log:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to a log service that the job service uses.  This
            service can be a dedicated log service or a pointer to a log service under
            another resource, such as a manager.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `LogService` that this job service uses.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        ServiceCapabilities:
          $ref: '#/components/schemas/JobService_v1_1_0_JobServiceCapabilities'
          description: The supported capabilities of this job service implementation.
          x-longDescription: This property shall contain properties that describe
            the capabilities or supported features of this implementation of a job
            service.
        ServiceEnabled:
          description: An indication of whether this service is enabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether this service is
            enabled.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        ValidationPolicy:
          description: The policy for how document-based jobs are validated.
          oneOf:
          - $ref: '#/components/schemas/JobService_v1_1_0_ValidationPolicy'
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain policy for how document-based
            jobs are validated.
          x-versionAdded: v1_1_0
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a job service for a Redfish
        implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    JobService_v1_1_0_JobServiceCapabilities:
      additionalProperties: false
      description: The supported capabilities of this job service implementation.
      properties:
        DocumentBasedJobs:
          description: An indication of whether document-based jobs are supported.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether document-based jobs
            are supported.  Document-based jobs are jobs that are created by performing
            the `SubmitJob` action on a `JobDocument` resource in the `JobDocumentCollection`
            resource referenced by the `JobDocuments` property.
          x-versionAdded: v1_1_0
        MaxJobs:
          description: The maximum number of jobs supported.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the maximum number of jobs
            supported by the implementation.
        MaxSteps:
          description: The maximum number of job steps supported.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the maximum number of steps
            supported by a single job instance.
        Scheduling:
          description: An indication of whether scheduling of jobs is supported.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the `Schedule` property
            within the job supports scheduling of jobs.
        UserSpecifiedJobs:
          description: An indication of whether user-specified jobs are supported.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether user-specified jobs
            are supported.  User-specified jobs are jobs that are created by performing
            an HTTP `POST` operation on the `JobCollection` resource referenced by
            the `Jobs` property.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain properties that describe the capabilities
        or supported features of this implementation of a job service.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    JobService_v1_1_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    JobService_v1_1_0_ValidationPolicy:
      enum:
      - Automatic
      - Manual
      - Bypass
      type: string
      x-enumDescriptions:
        Automatic: Jobs are validated automatically.
        Bypass: Jobs are not validated.
        Manual: Jobs are validated manually.
      x-enumLongDescriptions:
        Automatic: This value shall indicate that jobs are validated automatically.  The
          `JobState` property of a new job shall contain `Validating` when created
          with the `SubmitJob` action from the `JobDocument` resource.
        Bypass: This value shall indicate jobs are not validated.  The `JobState`
          property of a new job shall contain `Pending` when created with the `SubmitJob`
          action from the `JobDocument` resource.
        Manual: This value shall indicate jobs are validated manually.  The `JobState`
          property of a new job shall contain `New` when created with the `SubmitJob`
          action from the `JobDocument` resource and wait for a user to perform the
          `Validate` action in the `Job` resource.
title: '#JobService.v1_1_0.JobService'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2025.2'
